import { AppProvider } from '../../../../../core/modules/_shared/domain/models/app-provider';
import { AppModule } from '../../../../../core/modules/_shared';
import { ProtectionPlanModule } from '../../../protection-plan';
export default class PlanConfigurationUseCaseProvider implements AppProvider {
    private module;
    private safekeyModule;
    constructor(module: ProtectionPlanModule, safekeyModule: AppModule);
    get type(): "service";
    services(): Record<string, any>;
}
